Bug 804427 - Sound card is not available on kernel 3.2.9 or 3.2.10
Sound card is not available on kernel 3.2.9 or 3.2.10
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 14:35 EDT by Pontus Enhager
Modified: 2013-02-13 11:23 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:23:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pontus Enhager 2012-03-18 14:35:02 EDT
Description of problem:
No sound card available in kernel 3.2.9 or 3.2.10. but 3.2.7 works OK 

How reproducible:
always

Steps to Reproduce:
1.After booting and logging in no soundcard is available for the pleasure of my ears

Expected results:
Music for a tired body 

Additional info:

I have a ASRock Z68 motherboard with built in soundcard 

i will happily provide additional information if needed


[pontus@palsternacka ~]$ lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 05)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 05)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b5)
00:1c.2 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 3 (rev b5)
00:1c.4 PCI bridge: Intel Corporation 82801 PCI Bridge (rev b5)
00:1c.5 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 6 (rev b5)
00:1d.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation Z68 Express Chipset Family LPC Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 05)
02:00.0 USB Controller: Device 1b6f:7023 (rev 01)
03:00.0 PCI bridge: ASMedia Technology Inc. Device 1080 (rev 01)
05:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 06)
Comment 1 Pontus Enhager 2012-03-18 14:37:07 EDT
[pontus@palsternacka ~]$ cat /proc/cpuinfo /proc/meminfo 
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 42
model name	: Intel(R) Core(TM) i5-2500K CPU @ 3.30GHz
stepping	: 7
microcode	: 0x25
cpu MHz		: 1600.000
cache size	: 6144 KB
physical id	: 0
siblings	: 4
core id		: 0
cpu cores	: 4
apicid		: 0
initial apicid	: 0
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx rdtscp lm constant_tsc arch_perfmon pebs bts xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 popcnt tsc_deadline_timer aes xsave avx lahf_lm ida arat epb xsaveopt pln pts dts tpr_shadow vnmi flexpriority ept vpid
bogomips	: 6584.70
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 42
model name	: Intel(R) Core(TM) i5-2500K CPU @ 3.30GHz
stepping	: 7
microcode	: 0x25
cpu MHz		: 1600.000
cache size	: 6144 KB
physical id	: 0
siblings	: 4
core id		: 1
cpu cores	: 4
apicid		: 2
initial apicid	: 2
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx rdtscp lm constant_tsc arch_perfmon pebs bts xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 popcnt tsc_deadline_timer aes xsave avx lahf_lm ida arat epb xsaveopt pln pts dts tpr_shadow vnmi flexpriority ept vpid
bogomips	: 6584.19
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 2
vendor_id	: GenuineIntel
cpu family	: 6
model		: 42
model name	: Intel(R) Core(TM) i5-2500K CPU @ 3.30GHz
stepping	: 7
microcode	: 0x25
cpu MHz		: 1600.000
cache size	: 6144 KB
physical id	: 0
siblings	: 4
core id		: 2
cpu cores	: 4
apicid		: 4
initial apicid	: 4
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx rdtscp lm constant_tsc arch_perfmon pebs bts xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 popcnt tsc_deadline_timer aes xsave avx lahf_lm ida arat epb xsaveopt pln pts dts tpr_shadow vnmi flexpriority ept vpid
bogomips	: 6584.19
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 42
model name	: Intel(R) Core(TM) i5-2500K CPU @ 3.30GHz
stepping	: 7
microcode	: 0x25
cpu MHz		: 1600.000
cache size	: 6144 KB
physical id	: 0
siblings	: 4
core id		: 3
cpu cores	: 4
apicid		: 6
initial apicid	: 6
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx rdtscp lm constant_tsc arch_perfmon pebs bts xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 popcnt tsc_deadline_timer aes xsave avx lahf_lm ida arat epb xsaveopt pln pts dts tpr_shadow vnmi flexpriority ept vpid
bogomips	: 6584.19
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

MemTotal:        2816000 kB
MemFree:         1754800 kB
Buffers:           74032 kB
Cached:           571280 kB
SwapCached:            0 kB
Active:           448976 kB
Inactive:         507728 kB
Active(anon):     319880 kB
Inactive(anon):   209016 kB
Active(file):     129096 kB
Inactive(file):   298712 kB
Unevictable:        3256 kB
Mlocked:            3256 kB
HighTotal:       1956696 kB
HighFree:        1059336 kB
LowTotal:         859304 kB
LowFree:          695464 kB
SwapTotal:       2031612 kB
SwapFree:        2031612 kB
Dirty:               800 kB
Writeback:             0 kB
AnonPages:        314624 kB
Mapped:            86660 kB
Shmem:            215268 kB
Slab:              46116 kB
SReclaimable:      21916 kB
SUnreclaim:        24200 kB
KernelStack:        2848 kB
PageTables:         5808 kB
NFS_Unstable:          0 kB
Bounce:                0 kB
WritebackTmp:          0 kB
CommitLimit:     3439612 kB
Committed_AS:    1694508 kB
VmallocTotal:     122880 kB
VmallocUsed:       52764 kB
VmallocChunk:      63120 kB
HardwareCorrupted:     0 kB
AnonHugePages:     81920 kB
HugePages_Total:       0
HugePages_Free:        0
HugePages_Rsvd:        0
HugePages_Surp:        0
Hugepagesize:       4096 kB
DirectMap4k:       16376 kB
DirectMap4M:      888832 kB
Comment 2 Pontus Enhager 2012-03-18 14:38:41 EDT
Linux version 3.2.7-1.fc16.i686 (mockbuild@x86-16.phx2.fedoraproject.org) (gcc version 4.6.2 20111027 (Red Hat 4.6.2-1) (GCC) ) #1 SMP Tue Feb 21 01:38:57 UTC 2012

[pontus@palsternacka ~]$ lsmod
Module                  Size  Used by
ppdev                  17363  0 
parport_pc             27442  0 
lp                     17486  0 
parport                39179  3 ppdev,parport_pc,lp
fuse                   71167  3 
lockd                  73368  0 
rfcomm                 57398  4 
bnep                   18849  2 
be2iscsi               62844  0 
iscsi_boot_sysfs       15121  1 be2iscsi
bnx2i                  49424  0 
cnic                   53516  1 bnx2i
uio                    14405  1 cnic
cxgb4i                 32063  0 
cxgb4                  96198  1 cxgb4i
cxgb3i                 28014  0 
libcxgbi               50487  2 cxgb4i,cxgb3i
cxgb3                 130809  1 cxgb3i
mdio                   13214  1 cxgb3
ib_iser                32863  0 
rdma_cm                36864  1 ib_iser
ib_cm                  36679  1 rdma_cm
iw_cm                  13715  1 rdma_cm
ib_sa                  23615  2 rdma_cm,ib_cm
ib_mad                 37189  2 ib_cm,ib_sa
ib_core                61888  6 ib_iser,rdma_cm,ib_cm,iw_cm,ib_sa,ib_mad
ib_addr                13476  1 rdma_cm
iscsi_tcp              18015  0 
libiscsi_tcp           19333  4 cxgb4i,cxgb3i,libcxgbi,iscsi_tcp
libiscsi               44809  8 be2iscsi,bnx2i,cxgb4i,cxgb3i,libcxgbi,ib_iser,iscsi_tcp,libiscsi_tcp
scsi_transport_iscsi    45276  8 be2iscsi,bnx2i,libcxgbi,ib_iser,iscsi_tcp,libiscsi
snd_hda_codec_hdmi     31544  1 
snd_hda_codec_realtek   182158  1 
vfat                   17166  1 
fat                    54535  1 vfat
joydev                 17124  0 
btusb                  19128  2 
bluetooth             209810  23 rfcomm,bnep,btusb
rfkill                 20448  3 bluetooth
snd_hda_intel          32323  3 
snd_hda_codec         101827  3 snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel
microcode              18550  0 
snd_hwdep              13236  1 snd_hda_codec
snd_seq                54637  0 
snd_seq_device         13817  1 snd_seq
r8169                  51125  0 
snd_pcm                81137  4 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec
binfmt_misc            17207  1 
i2c_i801               17485  0 
mii                    13311  1 r8169
iTCO_wdt               17652  0 
serio_raw              13155  0 
iTCO_vendor_support    13243  1 iTCO_wdt
snd_timer              23896  2 snd_seq,snd_pcm
snd                    62530  14 snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
soundcore              14116  1 snd
snd_page_alloc         13709  2 snd_hda_intel,snd_pcm
sunrpc                196717  2 lockd
uinput                 17246  0 
i915                  399773  3 
drm_kms_helper         30800  1 i915
drm                   179155  4 i915,drm_kms_helper
i2c_algo_bit           12980  1 i915
i2c_core               28123  5 i2c_i801,i915,drm_kms_helper,drm,i2c_algo_bit
video                  18500  1 i915
Comment 3 Pontus Enhager 2012-03-21 15:26:48 EDT
ok i found this in the messages file:

...
Mar 21 20:07:00 palsternacka pulseaudio[1636]: pid.c: Daemon already running.
Mar 21 20:07:00 palsternacka pulseaudio[1092]: module-x11-xsmp.c: Failed to open connection to session manager: Could not open network socket
Mar 21 20:07:00 palsternacka pulseaudio[1092]: module.c: Failed to load  module "module-x11-xsmp" (argument: "display=:0 session_manager=local/unix:@/tmp/.ICE-unix/1438,
unix/unix:/tmp/.ICE-unix/1438"): initialization failed.
Mar 21 20:07:00 palsternacka kernel: [  159.863503] type=1400 audit(1332356820.108:5): avc:  denied  { connectto } for  pid=1092 comm="pulseaudio" path=002F746D702F2E494
3452D756E69782F31343338 scontext=system_u:system_r:pulseaudio_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=unix_stream_socket
Mar 21 20:07:00 palsternacka kernel: [  159.863600] type=1400 audit(1332356820.108:6): avc:  denied  { connectto } for  pid=1092 comm="pulseaudio" path="/tmp/.ICE-unix/1
438" scontext=system_u:system_r:pulseaudio_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=unix_stream_socket
...
...
Mar 21 20:08:29 palsternacka kernel: [  249.561374] type=1400 audit(1332356909.810:7): avc:  denied  { read } for  pid=1092 comm="pulseaudio" name="pulse-shm-3891558922" dev=tmpfs ino=23461 scontext=system_u:system_r:pulseaudio_t:s0 tcontext=system_u:object_r:initrc_state_t:s0 tclass=file
Mar 21 20:08:29 palsternacka pulseaudio[1092]: mcalign.c: Assertion 'l > 0' failed at pulsecore/mcalign.c:202, function pa_mcalign_csize(). Aborting.
M
...
Comment 4 Dave Jones 2012-03-22 12:39:04 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Dave Jones 2012-03-22 12:44:08 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 6 Dave Jones 2012-03-22 12:52:30 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 7 Pontus Enhager 2012-03-22 13:53:29 EDT
nah does not work i do not know if this (below) is useful info

i am not enough knowledgeable to determine whether this is a kernel or selinux or other audiosystem shortcoming but it did happen in conjunction with a kernel upgrade iirc

(trying a restorecon in the meantime)

[pontus@palsternacka ~]$ lsmod
Module                  Size  Used by
ppdev                  17363  0 
parport_pc             27442  0 
lp                     17486  0 
parport                39179  3 ppdev,parport_pc,lp
fuse                   71231  3 
lockd                  73543  0 
rfcomm                 57543  4 
bnep                   18866  2 
be2iscsi               62864  0 
iscsi_boot_sysfs       15121  1 be2iscsi
bnx2i                  49424  0 
cnic                   57653  1 bnx2i
uio                    14405  1 cnic
cxgb4i                 32063  0 
cxgb4                  96268  1 cxgb4i
cxgb3i                 28014  0 
libcxgbi               50487  2 cxgb4i,cxgb3i
cxgb3                 130826  1 cxgb3i
mdio                   13214  1 cxgb3
ib_iser                32863  0 
rdma_cm                36864  1 ib_iser
ib_cm                  36679  1 rdma_cm
iw_cm                  13715  1 rdma_cm
ib_sa                  23625  2 rdma_cm,ib_cm
ib_mad                 37189  2 ib_cm,ib_sa
ib_core                61900  6 ib_iser,rdma_cm,ib_cm,iw_cm,ib_sa,ib_mad
ib_addr                13473  1 rdma_cm
iscsi_tcp              18015  0 
libiscsi_tcp           19333  4 cxgb4i,cxgb3i,libcxgbi,iscsi_tcp
libiscsi               44809  8 be2iscsi,bnx2i,cxgb4i,cxgb3i,libcxgbi,ib_iser,iscsi_tcp,libiscsi_tcp
scsi_transport_iscsi    45361  8 be2iscsi,bnx2i,libcxgbi,ib_iser,iscsi_tcp,libiscsi
snd_hda_codec_hdmi     31500  1 
snd_hda_codec_realtek   121580  1 
vfat                   17166  1 
fat                    54545  1 vfat
joydev                 17124  0 
btusb                  23231  2 
bluetooth             237762  23 rfcomm,bnep,btusb
rfkill                 20448  3 bluetooth
snd_hda_intel          32323  0 
snd_hda_codec         102795  3 snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel
snd_hwdep              13236  1 snd_hda_codec
microcode              18642  0 
snd_seq                54637  0 
snd_seq_device         13817  1 snd_seq
snd_pcm                81170  3 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec
r8169                  51125  0 
serio_raw              13155  0 
i2c_i801               17485  0 
binfmt_misc            17207  1 
mii                    13311  1 r8169
snd_timer              23896  2 snd_seq,snd_pcm
snd                    62853  9 snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
iTCO_wdt               17652  0 
soundcore              14116  1 snd
iTCO_vendor_support    13243  1 iTCO_wdt
snd_page_alloc         13709  2 snd_hda_intel,snd_pcm
sunrpc                196970  2 lockd
uinput                 17246  0 
i915                  413230  3 
drm_kms_helper         30934  1 i915
drm                   199449  4 i915,drm_kms_helper
i2c_algo_bit           12980  1 i915
i2c_core               28151  5 i2c_i801,i915,drm_kms_helper,drm,i2c_algo_bit
video                  18500  1 i915
[pontus@palsternacka ~]$ cat /proc/version 
Linux version 3.3.0-4.fc16.i686 (mockbuild@x86-04.phx2.fedoraproject.org) (gcc version 4.6.2 20111027 (Red Hat 4.6.2-1) (GCC) ) #1 SMP Tue Mar 20 18:45:14 UTC 2012
Comment 8 Dave Jones 2012-03-22 14:06:31 EDT
looking closer at this, this does look less like a kernel problem, and more like a pulseaudio problem of some kind.
Comment 9 Pontus Enhager 2012-03-22 16:02:19 EDT
ok after a few further hours of fiddling - it seems that my squeezeslave is killing pulseaudio upon start, i do not know why that started now
Comment 10 Fedora End Of Life 2013-01-16 10:02:21 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora End Of Life 2013-02-13 11:23:32 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.